| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::ZoneData Class Reference

`#include <OgrePCZone.h>`

Inheritance diagram for Ogre::ZoneData:
[legend]

## Public Member Functions
| ZoneData (PCZSceneNode *, PCZone *)
| Standard Constructor. More...
virtual | ~ZoneData ()
| Standard destructor. More...
virtual void | update (void)
| Update data if necessary. More...

## Public Attributes
PCZSceneNode * | mAssociatedNode
PCZone * | mAssociatedZone

## Constructor & Destructor Documentation

## ◆ ZoneData()

Ogre::ZoneData::ZoneData | ( | PCZSceneNode * | ,
|  | PCZone * |
| ) |  |

Standard Constructor.

## ◆ ~ZoneData()

virtual Ogre::ZoneData::~ZoneData | ( |  | ) |
| virtual

Standard destructor.

## Member Function Documentation

## ◆ update()

virtual void Ogre::ZoneData::update | ( | void |  | ) |
| virtual

Update data if necessary.

Reimplemented in Ogre::OctreeZoneData.

## Member Data Documentation

## ◆ mAssociatedZone

PCZone* Ogre::ZoneData::mAssociatedZone

## ◆ mAssociatedNode

PCZSceneNode* Ogre::ZoneData::mAssociatedNode

The documentation for this class was generated from the following file:

- OgrePCZone.h